{ config, lib, ... }:

{
  options.architect = {
    firewall = lib.mkOption {
      internal = true;
      default = config.pepe.core.firewall;
    };

    networks = lib.mkOption {
      internal = true;
      default = config.pepe.core.network.interfaces;
    };

    vhost = lib.mkOption {
      internal = true;
      default = config.pepe.core.vhost.hosts;
    };
  };
  
  config.architect.networks.docker = {
    interface = "docker0";
    net = "172.17.0.0/16";
  };
}
